Prerequisites for tia® and kgs Software Components

General


Server Runtime Environment

Java (e.g. OpenJDK, Oracle JavaSE)
Needs to be provisioned by the customer. 

The supported version is product specifc.

Operating Systems

  • Microsoft® Windows Server® 2019 or 2022

  • Red Hat® Enterprise Linux® 8 or 9

  • Suse® Linux Enterprise Server® 12 or 15

  • Debian 11

  • Ubuntu 24.04 LTS Server

CPU

min. 4 CPUs

Operating System Platforms

x86-64 (64 bit)

Memory (for OS)

min. 8192, recommended 16384‬ MB

Memory (for Webserver)

min. 2048 MB, recommended 4096 MB

Disk

min. 100 GB for software deployment + logs and temporary files

Java

17 or higher

Webserver

e.g. Apache Tomcat 10.x
Other webserver applications supported. Please contact our support for details.
Needs to be provisioned by the customer. 

From November 2023 on Webserver needs to support JarkartaEE Servlet Version 5.0 or higher. (e.g. Tomcat 10).

Supported database

Depending on your archive or storage or product configuration a database is not mandatory. Please refer to tia® and kgs® Products



SAP JCo Library

min. Version 3.1.7. Needs to be provisioned by the customer. See https://support.sap.com/en/product/connectors/jco.html

Client Environment (optional)

HTML5 compliant (and not discontinued) Webbrowser (Edge 109+, Chrome 109+, Firefox 109+).



Please note, that these information is related to the current versions available on the website https://download.kgs-software.com/

Java


OpenJDK recommendations

Server Runtime Environment

Container
Needs to be provisioned by the customer. 

 

Windows

  • Red Hat OpenJDK

  • Amazon Corretto

  • Microsoft Build OpenJDK

Linux

  • OS provided OpenJDK

  • Red Hat OpenJDK

  • Amazon Corretto

  • Microsoft Build OpenJDK

Container


tia® Core based

Server Runtime Environment

OCI (Open Container Initiative) Container runtime Linux kernel based

e.g. :

  • Docker >= 24.0

  • kubernetes >= 1.28

  • podman > = 2.4.7

  • Azure Container Apps

  • AWS ECS

Needs to be provisioned by the customer. 

CPU

min. 2 CPUs

Operating System Platforms

x86-64 (64 bit)

Memory (for Container)

min. 2048 MB, recommended 4096 MB

Disk

min. 100 GB for container deployment + logs and temporary files


tia® Core

Supported Storage

Systems Options

  • Microsoft® Windows (NTFS File System)

  • Linux/Unix (JFS, Ext4, ...)

  • iTernity® iCAS

  • FAST LTA Silent Cubes

  • AWS® S3

  • Hitachi® HCP S3

  • Dell/EMC® ECS S3 (>= 3.6.2)

  • Suse® Enterprise Storage S3

  • NetApp® (NFS including SnapLock Support)

  • NetApp® StorageGRID S3 (>= 11.4)

  • Azure Blob Storage

tia® Viewer

Client Environment

HTML5 compliant (and not discontinued) Webbrowser (chromium based 119+ (Edge, Chrome, etc.) , Firefox 119+).

tia® Scan

Client Runtime Environment

Microsoft .NET 4.8 (delivered by Setup .exe)

Additional Client Requirements

Administrative user rights (for installation and administration)

Operating Systems

Must be 32 bit compatible

  • Windows 10 Home

  • Windows 10 Pro / Pro for Workstations

  • Windows 10 Enterprise (not LTSC)

  • Windows 11 Home

  • Windows 11 Pro / Pro for Workstations

  • Windows 11 Enterprise (not LTSC)

 

Disk Memory

200 MB for software installation + 4 GB for temporary files

Memory (for OS)

min. 4096 MB

SAP NCo Library

min. Version 3.1.2. Needs to be provisioned by the customer. See → https://support.sap.com/en/product/connectors/msnet.html

Device Connection

TWAIN driver from the device manufacturer needs to be installed and configured (currently only 32bit supported). Working connection to the device required.

tia® ZADOC

Client Runtime Environment

SAPGUI 7.x

Server Runtime Environment

SAP ERP 6.0, EhP7 (ABAP 740, SP10)

Additional Client Requirements

Appropriate user access permissions (see SAP authorization object ZADOC_PERM)

 

tia® Core CMIS

Supported MetaService Databases

  • Microsoft SQL Server ( >= SQL Server 2016 )

  • Oracle (12.x, 18.3, 19.3, 21.X)

  • elastic V7.17.X or 8.X

  • OpenSearch V2.X

Supported MetaService Databases

  • Microsoft SQL Server ( >= SQL Server 2016 )

  • Oracle (12.x, 18.3, 19.3, 21.X)

  • elastic V7.17.X or 8.X

  • OpenSearch V2.X

Supported ProtocolService Databases

  • Microsoft SQL Server ( >= SQL Server 2016 )

  • Oracle (12.x, 18.3, 19.3)

  • elastic V7.17.X or 8.X

  • OpenSearch V2.X